summaryrefslogtreecommitdiff
path: root/util/release
diff options
context:
space:
mode:
authorPatrick Georgi <pgeorgi@chromium.org>2015-07-13 22:48:46 +0200
committerPatrick Georgi <pgeorgi@google.com>2015-07-16 17:40:42 +0200
commitf61c9e9a59cd6a9dcd358f09a4715ac79d0a7a7d (patch)
tree87c9e44b4766767f770c7cdbbfcd44fdba795c33 /util/release
parent5bb90e69998e10d828896f72aaee389daf5fcc5c (diff)
downloadcoreboot-f61c9e9a59cd6a9dcd358f09a4715ac79d0a7a7d.tar.xz
release: add release script
Change-Id: Ib3cd29cf1875e7ad182262d7caa33ff35f28aa85 Signed-off-by: Patrick Georgi <pgeorgi@chromium.org> Reviewed-on: http://review.coreboot.org/10909 Tested-by: build bot (Jenkins) Reviewed-by: Stefan Reinauer <stefan.reinauer@coreboot.org>
Diffstat (limited to 'util/release')
-rwxr-xr-xutil/release/build-release16
1 files changed, 16 insertions, 0 deletions
diff --git a/util/release/build-release b/util/release/build-release
new file mode 100755
index 0000000000..ae00dbfd71
--- /dev/null
+++ b/util/release/build-release
@@ -0,0 +1,16 @@
+#!/bin/bash
+# $1: new version name
+set -e
+if [ -z "$1" ]; then
+ echo "usage: $0 version"
+ echo "tags a new coreboot version and creates a tar archive"
+ exit 1
+fi
+git clone --recurse-submodules http://review.coreboot.org/coreboot.git coreboot-$1
+cd coreboot-$1
+git submodule update --init --checkout
+git tag -a --force $1 -m "coreboot version $1"
+printf "$1-$(git log --pretty=%H|head -1)\n" > .coreboot-version
+cd ..
+tar --exclude-vcs --exclude=coreboot-${1}/3rdparty/blobs -cvf - coreboot-${1} |xz -9 > coreboot-${1}.tar.xz
+tar --exclude-vcs -cvf - coreboot-${1}/3rdparty/blobs |xz -9 > coreboot-blobs-${1}.tar.xz